# org.pdfclown.objects.Visitor Class Reference

Visitor object. More...

Inheritance diagram for org.pdfclown.objects.Visitor:

List of all members.

## Public Member Functions
virtual PdfObject | Visit (XRefStream obj, object data)
| Visits a cross-reference stream object.
virtual PdfObject | Visit (PdfTextString obj, object data)
| Visits a text string object.
virtual PdfObject | Visit (PdfString obj, object data)
| Visits a string object.
virtual PdfObject | Visit (PdfStream obj, object data)
| Visits a stream object.
virtual PdfObject | Visit (PdfReference obj, object data)
| Visits a reference object.
virtual PdfObject | Visit (PdfReal obj, object data)
| Visits a real-number object.
virtual PdfObject | Visit (PdfName obj, object data)
| Visits a name object.
virtual PdfObject | Visit (PdfInteger obj, object data)
| Visits an integer-number object.
virtual PdfObject | Visit (PdfIndirectObject obj, object data)
| Visits an indirect object.
virtual PdfObject | Visit (PdfDictionary obj, object data)
| Visits an object dictionary.
virtual PdfObject | Visit (PdfDate obj, object data)
| Visits a date object.
PdfObject | Visit (PdfDataObject obj, object data)
| Visits a data object.
virtual PdfObject | Visit (PdfBoolean obj, object data)
| Visits a boolean object.
virtual PdfObject | Visit (PdfArray obj, object data)
| Visits an object array.
virtual PdfObject | Visit (ObjectStream obj, object data)
| Visits an object stream.

##

Visitor object.

## Member Function Documentation

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | XRefStream | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits a cross-reference stream object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

Reimplemented in org.pdfclown.objects.Cloner.

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfTextString | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits a text string object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfString | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits a string object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfStream | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits a stream object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

Reimplemented in org.pdfclown.objects.Cloner.

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfReference | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits a reference object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

Reimplemented in org.pdfclown.objects.Cloner.

References org.pdfclown.objects.PdfIndirectObject.Accept(), and org.pdfclown.objects.PdfReference.IndirectObject.

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfReal | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits a real-number object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfName | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits a name object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfInteger | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits an integer-number object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfIndirectObject | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits an indirect object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

Reimplemented in org.pdfclown.objects.Cloner.

References org.pdfclown.objects.PdfObject.Accept(), and org.pdfclown.objects.PdfIndirectObject.DataObject.

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfDictionary | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits an object dictionary.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

Reimplemented in org.pdfclown.objects.Cloner.

References org.pdfclown.objects.PdfObject.Accept().

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfDate | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits a date object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfDataObject | obj,
|  | object | data |
| ) |  |  |

Visits a data object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

References org.pdfclown.objects.PdfObject.Accept().

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfBoolean | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits a boolean object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfArray | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits an object array.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

Reimplemented in org.pdfclown.objects.Cloner.

References org.pdfclown.objects.PdfObject.Accept().

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | ObjectStream | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits an object stream.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

Reimplemented in org.pdfclown.objects.Cloner.

References org.pdfclown.objects.PdfObject.Accept().

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.